// PG_Button.cpp : implementation file
//

#include "stdafx.h"
#include "PG_Button.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// PG_Button

PG_Button::PG_Button()
{
	m_bShift = m_bTab = FALSE;
}

PG_Button::~PG_Button()
{
}


BEGIN_MESSAGE_MAP(PG_Button, CButton)
	//{{AFX_MSG_MAP(PG_Button)
	ON_WM_KEYUP()
	ON_WM_KEYDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// PG_Button message handlers

void PG_Button::OnKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags )
{
  BYTE b = LOBYTE( nChar );
	switch ( b )
    {
		case VK_TAB:
      m_bTab = TRUE;
			break;

		case VK_SHIFT:
			m_bShift = TRUE;
			break;

		default:
			CButton::OnKeyDown( nChar, nRepCnt, nFlags );
			break;
    }
}

void PG_Button::OnKeyUp( UINT nChar, UINT nRepCnt, UINT nFlags )
{
	CWnd *pParent;
  CWnd *pNextCtrl;

  BYTE b = LOBYTE( nChar );
	switch ( b )
    {
		case VK_TAB:
      pParent = GetParent();

			//
			// Check whether the shift button is on or not
			m_bShift = 
				( static_cast<USHORT>( GetAsyncKeyState( VK_SHIFT ) ) >> 15 ) == 1 ?
					TRUE :
					FALSE;

      pNextCtrl = pParent->GetNextDlgTabItem( this, m_bShift );
      if ( pNextCtrl != NULL )
        pNextCtrl->SetFocus();

			m_bTab = FALSE;
			break;

		case VK_SHIFT:
			m_bShift = FALSE;
			break;

		default:
			CButton::OnKeyUp( nChar, nRepCnt, nFlags );
			break;
    }
}

