// PG_DisplayEntryHandler.h: interface for the PG_DisplayEntryHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PG_DISPLAYENTRYHANDLER_H__C0582823_4A5C_11D3_903A_0020AFF7CE08__INCLUDED_)
#define AFX_PG_DISPLAYENTRYHANDLER_H__C0582823_4A5C_11D3_903A_0020AFF7CE08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "QRequest.h"

class PG_DisplayEntryHandler : public QRequester  
{
public:
	PG_DisplayEntryHandler();
	virtual ~PG_DisplayEntryHandler();

public:
	// Base class interface handles messages from the request
	void HandleActivity( QDUAActivity event, QRequestMsg *msg );

private:
	void HandleResult( QRequestMsg *msg );
	void HandleComplete( QRequestMsg *msg );
	void HandleReport( QRequestMsg *msg );
	void HandleError( QRequestMsg *msg );
	void HandleAbort( QRequestMsg *msg );
};

#endif // !defined(AFX_PG_DISPLAYENTRYHANDLER_H__C0582823_4A5C_11D3_903A_0020AFF7CE08__INCLUDED_)
